View Issue Details

IDProjectCategoryView StatusLast Update
0002805Path[FreeCAD] Bugpublic2017-07-11 20:09
ReporterbschuelerAssigned Tosliptonic 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntu OS Version16.04.1 LTS
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002805: wrong values in PATH graphical-editor
Descriptionsome values in graphical-profile-editor in module PATH are displayed multiplicated by 10
Steps To Reproduceklick on PATH-profile
Additional InformationOS: Ubuntu 16.04.1 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.17.9088 (Git)
Build type: None
Branch: master
Hash: 537cfb2d48ee915b11ef1987880a5229255e4047
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

proteus

2016-12-02 00:50

reporter   ~0007504

Hello Path team,

i think there are some logical things for this error. A lot of files have a statement like this: str(ztop + 10.0)

The logic is, get the body or other parts like sheet or so, then add the value 10mm to the body value. I think python add a string at the end of the string from the Qt value, so you are added 10 to the value, the comma is going one step right side.

I think a good solution is if a new job is createt first set a boolean to zero, add the 10.0 to the initial value. Leave the widget with return. Next if i double klick on the Job Contour or other thinks check the boolean, if the boolean true you don't add the extra value to the parameter. I use my own extra value for this parameter, so for the first step it's ok but for a second change i don't need to add this value every time.

sliptonic

2016-12-18 15:41

developer   ~0007529

@proteus:
The only place that a string like this occurs is in a statement like this:
FreeCADGui.doCommand('obj.ClearanceHeight = ' + str(ztop + 10.0))

This causes a statement to be executed in the internal python console so the user can see it. The command that is actually executed, however is:
obj.ClearanceHeight = ztop + 10.0

I haven't gone through every occurrence but I'm confident this is only done during object creation and not re-executed on edit.

There are (or were) cases where the initial value was being set which caused the object to update, which caused values to be re-written but I've been systematically fixing them. If you can give me specific cases bugs to reproduce, I'll fix them.

Kunda1

2017-01-13 22:18

manager   ~0007736

@proteus & @bschueler
per @sliptonic:
> If you can give me specific cases bugs to reproduce, I'll fix them.

proteus

2017-01-16 22:05

reporter   ~0007822

Hello @sliptonic & @Kunda1

i have test the last code, this bug can be closed. Last month i have make my own patch to solve this issue, but the actual code is verry good. I have now some more patches to fix some other issues, how can i put my patches to review from the developer to put it in the main code.

sliptonic

2017-01-16 22:13

developer   ~0007823

@proteus.
Ideally you would submit a git pull request with your changes, but if they are very small, you can attach a .diff file or drop in to the gitter channel here: https://gitter.im/FreeCAD/Path and talk with us.

Kunda1

2017-01-25 12:34

manager   ~0007979

@proteus please connect with @sliptonic via https://gitter.im/FreeCAD/Path or attach a .diff to this ticket. Thanks!

sliptonic

2017-01-26 16:51

developer   ~0007997

closed per user

Issue History

Date Modified Username Field Change
2016-12-01 18:06 bschueler New Issue
2016-12-02 00:50 proteus Note Added: 0007504
2016-12-18 15:41 sliptonic Note Added: 0007529
2017-01-13 22:18 Kunda1 Note Added: 0007736
2017-01-13 22:18 Kunda1 Status new => feedback
2017-01-16 22:05 proteus Note Added: 0007822
2017-01-16 22:13 sliptonic Note Added: 0007823
2017-01-25 12:34 Kunda1 Note Added: 0007979
2017-01-25 12:34 Kunda1 Tag Attached: #pending
2017-01-26 16:51 sliptonic Note Added: 0007997
2017-01-26 16:51 sliptonic Status feedback => closed
2017-01-26 16:51 sliptonic Assigned To => sliptonic
2017-01-26 16:51 sliptonic Resolution open => fixed
2017-01-26 16:51 sliptonic Fixed in Version => 0.17
2017-07-11 20:09 Kunda1 Tag Detached: #pending